Bug 163583 - avc: denied { write } for kudzu
avc: denied { write } for kudzu
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted (Show other bugs)
rawhide
noarch Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-07-19 03:08 EDT by sangu
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: selinux-policy-targeted-1.25.3-3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-07-22 09:48:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
$ausearch -c kudzu (5.69 KB, text/plain)
2005-07-19 03:09 EDT, sangu
no flags Details

  None (edit)
Description sangu 2005-07-19 03:08:41 EDT
Description of problem:
/va/log/audit/audit.log
[...]
type=AVC msg=audit(1121755239.134:15293982): avc:  denied  { write } for 
pid=4589 comm="kudzu" name="run" dev=hda8 ino=438916
scontext=root:system_r:kudzu_t tcontext=system_u:object_r:var_run_t tclass=dir
[...]

$ ls -Zal /usr/sbin/kudzu
-rwxr-xr-x  1 system_u:object_r:kudzu_exec_t   root root 157712 May 20 04:54
/usr/sbin/kudzu


Version-Release number of selected component (if applicable):
selinux-policy-targeted-1.25.2-5

How reproducible:
always

Steps to Reproduce:
1. $ service kudzu start
2.
3.
  
Actual results:


Expected results:


Additional info:
kudzu-1.1.116.2-2
Comment 1 sangu 2005-07-19 03:09:44 EDT
Created attachment 116911 [details]
$ausearch -c kudzu
Comment 2 Daniel Walsh 2005-07-19 23:10:41 EDT
Fixed in selinux-policy-targeted-1.25.3-1

Note You need to log in before you can comment on or make changes to this bug.